<?php

namespace ModulesGarden\OpenXchangeAddon\Core\Traits;

use ModulesGarden\OpenXchangeAddon\Core\App\Controllers\Instances\Addon\Config;
use ModulesGarden\OpenXchangeAddon\Core\ServiceLocator;

/**
 * Description of IsDebugOn
 *
 * @author INBSX-37H
 */
trait IsDebugOn
{
    protected $isDebug = null;    
    
    public function isDebugOn()
    {   
        if ($this->isDebug === null)
        {
            $addon = ServiceLocator::call(Config::class);
        
            $this->isDebug =  (bool)((int)$addon->getConfigValue('debug', "0"));
        }
        
        return $this->isDebug;
    }
}
